<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head lang="en">

    <title>Product</title>

</head>
<body>

<b>Titulo:</b><p th:text="${post.title}"></p>
<b>Texto:</b><p th:text="${post.text}"></p>
<b>Category:</b><p th:text="${post.category.name}"></p>
<b>User:</b><p th:text="${post.user .name}"></p>
<b>Likes:</b><p th:text="${post.likes}"></p>
<a th:href="${'/post/like/'+post.id}">Like</a>
<a th:href="${'/post/dislike/'+post.id}">Dislike</a>

<br></br>

<b>Comentario:</b>
<form class="form-horizontal" th:object="${comment}" th:action="@{/comment}" method="post">
    <input type="hidden" th:field="*{id}"/>
    <input type="hidden" th:field="*{post}"/>
    <div class="form-group">
        <div class="col-sm-10">
            <input type="text" class="form-control" th:field="*{text}"/>
            <span style="color: red;" th:if="${#fields.hasErrors('text')}" th:errors="*{text}">Errors</span>
        </div>
    </div>

    <div class="row">
        <button type="submit" class="btn btn-default">Guardar</button>
    </div>
</form>
<div th:each="comment : ${post.comments}">
    <th th:text="${comment.text}"></th>
   <!-- <td><a th:href="${ '/comment/eliminar/' + comment.id}">Eliminar comentario</a></td>-->
    <br></br>
    <b>Likes:</b><p th:text="${comment.likes}"></p>
    <a th:href="${'/comment/like/'+comment.id}">Like</a>
    <a th:href="${'/comment/dislike/'+comment.id}">Dislike</a>

</div>

</body>
</html>